﻿using Microsoft.Extensions.Logging;
using StudiApp.Services.ViewModelService;

namespace StudiApp.Interfaces;

public interface IViewModelService
{
    IDialogService DialogService { get; set; }
    IInputValidator InputValidator { get; set; }
    INavigationManager NavigationManager { get; set; }
    IRepositoryManager RepositoryManager { get; set; }
    ILogger<ViewModelService> Logger { get; set; }
}