﻿using StudiApp.Views;

namespace StudiApp;

public partial class AppShell : Shell
{
	public AppShell()
	{
		InitializeComponent();

        RegisterRoutes();
    }

    private static void RegisterRoutes()
    {
        Routing.RegisterRoute(nameof(CoursesEditView), typeof(CoursesEditView));
        Routing.RegisterRoute(nameof(CoursesDetailView), typeof(CoursesDetailView));
        Routing.RegisterRoute(nameof(CoursesNewView), typeof(CoursesNewView));
        Routing.RegisterRoute(nameof(TodoEditView), typeof(TodoEditView));
        Routing.RegisterRoute(nameof(MarksEditView), typeof(MarksEditView));
        Routing.RegisterRoute(nameof(MarksCreateView), typeof(MarksCreateView));
    }
}
