﻿using StudiApp.Interfaces;

namespace StudiApp.Services.Dialog;

public class DialogService : IDialogService
{
	public Task<bool> ShowConfirmationAsync(string message)
	{
		return Application.Current?.MainPage?.DisplayAlert("Warning", message, "YES", "NO");
	}

	public Task ShowAlertAsync(string message)
	{
		return Application.Current?.MainPage?.DisplayAlert("Error", message, "OK");
	}
}